select(Path,[Path|NewFrontier],NewFrontier).

add_to_frontier(Path,NN,F1,F2) :-
    Path=[X|Rest],
    findall([Y,X|Rest],member(Y,NN),NewPaths),
    sort_by_heuristic(NewPaths,NewPaths1),
    append(NewPaths1,F1,F2).

sort_by_heuristic(Paths,SPaths) :-
    sort(Paths,SPaths,last_h).

last_h([],0).
last_h([X|_],H):-h(X,H).
